

#include "BUILTIN.h"

#include "Nat.h"

#include "Real.h"
extern OBJ __ASeq_6;

#include "Denotation.h"
extern OBJ __AOption_5;

#include "Char.h"

#include "Array.h"

#include "Signal.h"
extern OBJ _ASignal_Ahandle(OBJ,OBJ);OBJ __ASignal_Ahandle; /* handle */
extern OBJ _ASignal_Ahandle_(OBJ);OBJ __ASignal_Ahandle_; /* handle? */
extern OBJ _ASignal_AblockSigs(OBJ);OBJ __ASignal_AblockSigs; /* blockSigs */
extern OBJ _ASignal_Ahandler(OBJ);OBJ __ASignal_Ahandler; /* handler */
OBJ __ASignal_Acatch; /* catch */
extern OBJ _ASignal_Acatch_(OBJ);OBJ __ASignal_Acatch_; /* catch? */
OBJ __ASignal_Aignore; /* ignore */
extern OBJ _ASignal_Aignore_(OBJ);OBJ __ASignal_Aignore_; /* ignore? */
OBJ __ASignal_Adefault; /* default */
extern OBJ _ASignal_Adefault_(OBJ);OBJ __ASignal_Adefault_; /* default? */
extern OBJ _ASignal_Sa(OBJ,OBJ);OBJ __ASignal_Sa; /* ; */
extern OBJ _ASignal_Sa_(OBJ);OBJ __ASignal_Sa_; /* ;? */
extern OBJ _ASignal_Asecond(OBJ);OBJ __ASignal_Asecond; /* second */
extern OBJ _ASignal_Afirst(OBJ);OBJ __ASignal_Afirst; /* first */
OBJ __ASignal_AcollectZombies; /* collectZombies */
extern OBJ _ASignal_AcollectZombies_(OBJ);OBJ __ASignal_AcollectZombies_; /* collectZombies? */
OBJ __ASignal_Await; /* wait */
extern OBJ _ASignal_Await_(OBJ);OBJ __ASignal_Await_; /* wait? */
extern OBJ _ASignal_AkillPGrp(OBJ,OBJ);OBJ __ASignal_AkillPGrp; /* killPGrp */
extern OBJ _ASignal_AkillPGrp_(OBJ);OBJ __ASignal_AkillPGrp_; /* killPGrp? */
extern OBJ _ASignal_Asignal(OBJ);OBJ __ASignal_Asignal; /* signal */
extern OBJ _ASignal_ApGroup(OBJ);OBJ __ASignal_ApGroup; /* pGroup */
extern OBJ _ASignal_Akill(OBJ,OBJ);OBJ __ASignal_Akill; /* kill */
extern OBJ _ASignal_Akill_(OBJ);OBJ __ASignal_Akill_; /* kill? */
extern OBJ _ASignal_Aprocess(OBJ);OBJ __ASignal_Aprocess; /* process */
extern OBJ _ASignal_ArmDir(OBJ);OBJ __ASignal_ArmDir; /* rmDir */
extern OBJ _ASignal_ArmDir_(OBJ);OBJ __ASignal_ArmDir_; /* rmDir? */
extern OBJ _ASignal_Adirectory(OBJ);OBJ __ASignal_Adirectory; /* directory */
extern OBJ _ASignal_Aunlink(OBJ);OBJ __ASignal_Aunlink; /* unlink */
extern OBJ _ASignal_Aunlink_(OBJ);OBJ __ASignal_Aunlink_; /* unlink? */
extern OBJ _ASignal_Afile(OBJ);OBJ __ASignal_Afile; /* file */
extern OBJ _ASignal_Amessage(OBJ);OBJ __ASignal_Amessage; /* message */
extern OBJ _ASignal_Amessage_(OBJ);OBJ __ASignal_Amessage_; /* message? */
extern OBJ _ASignal_Amessage_O1(OBJ);OBJ __ASignal_Amessage_O1; /* message,1 */
extern OBJ _ASignal_S_Aexit(OBJ);OBJ __ASignal_S_Aexit; /* _exit */
extern OBJ _ASignal_S_Aexit_(OBJ);OBJ __ASignal_S_Aexit_; /* _exit? */
extern OBJ _ASignal_Astatus(OBJ);OBJ __ASignal_Astatus; /* status */
OBJ __ASignal_AsigTTOu; /* sigTTOu */
extern OBJ _ASignal_AsigTTOu_(OBJ);OBJ __ASignal_AsigTTOu_; /* sigTTOu? */
OBJ __ASignal_AsigTTIn; /* sigTTIn */
extern OBJ _ASignal_AsigTTIn_(OBJ);OBJ __ASignal_AsigTTIn_; /* sigTTIn? */
OBJ __ASignal_AsigTStp; /* sigTStp */
extern OBJ _ASignal_AsigTStp_(OBJ);OBJ __ASignal_AsigTStp_; /* sigTStp? */
OBJ __ASignal_AsigStop; /* sigStop */
extern OBJ _ASignal_AsigStop_(OBJ);OBJ __ASignal_AsigStop_; /* sigStop? */
OBJ __ASignal_AsigCont; /* sigCont */
extern OBJ _ASignal_AsigCont_(OBJ);OBJ __ASignal_AsigCont_; /* sigCont? */
OBJ __ASignal_AsigChld; /* sigChld */
extern OBJ _ASignal_AsigChld_(OBJ);OBJ __ASignal_AsigChld_; /* sigChld? */
OBJ __ASignal_AsigUsr2; /* sigUsr2 */
extern OBJ _ASignal_AsigUsr2_(OBJ);OBJ __ASignal_AsigUsr2_; /* sigUsr2? */
OBJ __ASignal_AsigUsr1; /* sigUsr1 */
extern OBJ _ASignal_AsigUsr1_(OBJ);OBJ __ASignal_AsigUsr1_; /* sigUsr1? */
OBJ __ASignal_AsigTerm; /* sigTerm */
extern OBJ _ASignal_AsigTerm_(OBJ);OBJ __ASignal_AsigTerm_; /* sigTerm? */
OBJ __ASignal_AsigSegV; /* sigSegV */
extern OBJ _ASignal_AsigSegV_(OBJ);OBJ __ASignal_AsigSegV_; /* sigSegV? */
OBJ __ASignal_AsigQuit; /* sigQuit */
extern OBJ _ASignal_AsigQuit_(OBJ);OBJ __ASignal_AsigQuit_; /* sigQuit? */
OBJ __ASignal_AsigPipe; /* sigPipe */
extern OBJ _ASignal_AsigPipe_(OBJ);OBJ __ASignal_AsigPipe_; /* sigPipe? */
OBJ __ASignal_AsigKill; /* sigKill */
extern OBJ _ASignal_AsigKill_(OBJ);OBJ __ASignal_AsigKill_; /* sigKill? */
OBJ __ASignal_AsigInt; /* sigInt */
extern OBJ _ASignal_AsigInt_(OBJ);OBJ __ASignal_AsigInt_; /* sigInt? */
OBJ __ASignal_AsigIll; /* sigIll */
extern OBJ _ASignal_AsigIll_(OBJ);OBJ __ASignal_AsigIll_; /* sigIll? */
OBJ __ASignal_AsigHUp; /* sigHUp */
extern OBJ _ASignal_AsigHUp_(OBJ);OBJ __ASignal_AsigHUp_; /* sigHUp? */
OBJ __ASignal_AsigFPE; /* sigFPE */
extern OBJ _ASignal_AsigFPE_(OBJ);OBJ __ASignal_AsigFPE_; /* sigFPE? */
OBJ __ASignal_AsigAlrm; /* sigAlrm */
extern OBJ _ASignal_AsigAlrm_(OBJ);OBJ __ASignal_AsigAlrm_; /* sigAlrm? */
OBJ __ASignal_AsigAbrt; /* sigAbrt */
extern OBJ _ASignal_AsigAbrt_(OBJ);OBJ __ASignal_AsigAbrt_; /* sigAbrt? */
extern OBJ _ASignal_Sl(OBJ,OBJ);OBJ __ASignal_Sl; /* < */
extern OBJ _ASignal_Se(OBJ,OBJ);OBJ __ASignal_Se; /* = */
extern OBJ _ASignal_Sl_O1(OBJ,OBJ);OBJ __ASignal_Sl_O1; /* <,1 */
extern OBJ _ASignal_Se_O1(OBJ,OBJ);OBJ __ASignal_Se_O1; /* =,1 */
OBJ __ASignal_SOC; /* {} */
extern OBJ _ASignal_SOC_(OBJ);OBJ __ASignal_SOC_; /* {}? */
extern OBJ _ASignal_Anone_(OBJ);OBJ __ASignal_Anone_; /* none? */
OBJ __ASignal_AallSigs; /* allSigs */
extern OBJ _ASignal_S5(OBJ);OBJ __ASignal_S5; /* % */
extern OBJ _ASignal_Sp(OBJ,OBJ);OBJ __ASignal_Sp; /* + */
extern OBJ _ASignal_Sm(OBJ,OBJ);OBJ __ASignal_Sm; /* - */
extern OBJ _ASignal_Sp_O1(OBJ,OBJ);OBJ __ASignal_Sp_O1; /* +,1 */
extern OBJ _ASignal_Ain(OBJ,OBJ);OBJ __ASignal_Ain; /* in */
extern OBJ _ASignal_Akill_O1(OBJ);OBJ __ASignal_Akill_O1; /* kill,1 */
extern OBJ _ASignal_Akill_O2(OBJ,OBJ);OBJ __ASignal_Akill_O2; /* kill,2 */
extern OBJ _ASignal_AkillPGrp_O1(OBJ);OBJ __ASignal_AkillPGrp_O1; /* killPGrp,1 */
extern OBJ _ASignal_AkillPGrp_O2(OBJ,OBJ);OBJ __ASignal_AkillPGrp_O2; /* killPGrp,2 */
extern OBJ _ASignal_Aalarm(OBJ);OBJ __ASignal_Aalarm; /* alarm */
extern OBJ _ASignal_Aexec(OBJ);OBJ __ASignal_Aexec; /* exec */
extern OBJ _ASignal_Acaught_(OBJ);OBJ __ASignal_Acaught_; /* caught? */
extern OBJ _ASignal_AsigAction(OBJ);OBJ __ASignal_AsigAction; /* sigAction */
extern OBJ _ASignal_AsigAction_O1(OBJ,OBJ);OBJ __ASignal_AsigAction_O1; /* sigAction,1 */
OBJ __ASignal_AsigMask; /* sigMask */
extern OBJ _ASignal_AsigBlock(OBJ);OBJ __ASignal_AsigBlock; /* sigBlock */
extern OBJ _ASignal_AsigUnblock(OBJ);OBJ __ASignal_AsigUnblock; /* sigUnblock */
extern OBJ _ASignal_AsigMask_O1(OBJ);OBJ __ASignal_AsigMask_O1; /* sigMask,1 */
OBJ __ASignal_AsigPending; /* sigPending */
extern OBJ _ASignal_AsigSuspend(OBJ);OBJ __ASignal_AsigSuspend; /* sigSuspend */
OBJ __ASignal_Ama_Aset; /* ma_set */
extern OBJ _ASignal_Ama_Aset_(OBJ);OBJ __ASignal_Ama_Aset_; /* ma_set? */
OBJ __ASignal_Ama_Aunblock; /* ma_unblock */
extern OBJ _ASignal_Ama_Aunblock_(OBJ);OBJ __ASignal_Ama_Aunblock_; /* ma_unblock? */
OBJ __ASignal_Ama_Ablock; /* ma_block */
extern OBJ _ASignal_Ama_Ablock_(OBJ);OBJ __ASignal_Ama_Ablock_; /* ma_block? */
extern OBJ _ASignal_Aord(OBJ);OBJ __ASignal_Aord; /* ord */
OBJ __ASignal_Ahc_Asigemptyset; /* hc_sigemptyset */
OBJ __ASignal_Ahc_Asigfillset; /* hc_sigfillset */
extern OBJ _ASignal_Ahc_Asigaddset(OBJ,OBJ);OBJ __ASignal_Ahc_Asigaddset; /* hc_sigaddset */
extern OBJ _ASignal_Ahc_Asigdelset(OBJ,OBJ);OBJ __ASignal_Ahc_Asigdelset; /* hc_sigdelset */
extern OBJ _ASignal_Ahc_Asigismember(OBJ,OBJ);OBJ __ASignal_Ahc_Asigismember; /* hc_sigismember */
extern OBJ _ASignal_Ahc_Akill_Ap(OBJ,OBJ,OBJ);OBJ __ASignal_Ahc_Akill_Ap; /* hc_kill_p */
extern OBJ _ASignal_Ahc_Akill_Agrp(OBJ,OBJ,OBJ);OBJ __ASignal_Ahc_Akill_Agrp; /* hc_kill_grp */
extern OBJ _ASignal_Ahc_Aalarm(OBJ,OBJ);OBJ __ASignal_Ahc_Aalarm; /* hc_alarm */
extern OBJ _ASignal_Ahc_Aexec_Ash(OBJ,OBJ);OBJ __ASignal_Ahc_Aexec_Ash; /* hc_exec_sh */
extern OBJ _ASignal_Ahc_Acaught_(OBJ,OBJ);OBJ __ASignal_Ahc_Acaught_; /* hc_caught? */
extern OBJ _ASignal_Ahc_Asigaction(OBJ,OBJ,OBJ);OBJ __ASignal_Ahc_Asigaction; /* hc_sigaction */
extern OBJ _ASignal_Ahc_Asigprocmask(OBJ,OBJ,OBJ);OBJ __ASignal_Ahc_Asigprocmask; /* hc_sigprocmask */
extern OBJ _ASignal_Ahc_Asigpending(OBJ);OBJ __ASignal_Ahc_Asigpending; /* hc_sigpending */
extern OBJ _ASignal_Ahc_Asigsuspend(OBJ,OBJ);OBJ __ASignal_Ahc_Asigsuspend; /* hc_sigsuspend */
extern OBJ _ASignal_Afoo1(OBJ);OBJ __ASignal_Afoo1; /* foo1 */
extern OBJ _ASignal_Afoo2(OBJ);OBJ __ASignal_Afoo2; /* foo2 */
extern OBJ _ASignal_Afoo3(OBJ);OBJ __ASignal_Afoo3; /* foo3 */

#include "Signal.hc.c"

extern OBJ _ASignal_Ahandle(OBJ x1,OBJ x2) /* handle */
{OBJ r;
 PRD1(2,r);FLD1(r,1)=x1;FLD1(r,2)=x2;
 return r;}

extern OBJ _ASignal_Ahandle_(OBJ x1) /* handle? */
{OBJ r;
 if(ISPRD(x1)){
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AblockSigs(OBJ x1) /* blockSigs */
{OBJ r;
 if(ISPRD(x1)){
  {OBJ x3=FLD1(x1,2);
   if(EXPRD(x1,1)){
    r=x3;
    FREE(FLD1(x1,1),1);DSPRDF(x1);
   }else{
    COPY(x3,1);
    r=x3;
    FRPRD(x1,1);}}
 }else{
  HLT("Signal at <unknown> : undefined selection blockSigs\'Signal:sigaction->sigmask");}
 return r;}

extern OBJ _ASignal_Ahandler(OBJ x1) /* handler */
{OBJ r;
 if(ISPRD(x1)){
  {OBJ x2=FLD1(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    FREE(FLD1(x1,2),1);DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Signal at <unknown> : undefined selection handler\'Signal:sigaction->sighandler");}
 return r;}

extern OBJ _ASignal_Acatch_(OBJ x1) /* catch? */
{OBJ r;
 if(ISPRM(x1)&&(ISTGPRM(x1,2))){
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Aignore_(OBJ x1) /* ignore? */
{OBJ r;
 if(ISPRM(x1)&&(ISTGPRM(x1,1))){
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Adefault_(OBJ x1) /* default? */
{OBJ r;
 if(ISPRM(x1)&&(ISTGPRM(x1,0))){
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Sa(OBJ x1,OBJ x2) /* ; */
{OBJ r;
 PRD(2,8,r);FLD(r,1)=x1;FLD(r,2)=x2;
 return r;}

extern OBJ _ASignal_Sa_(OBJ x1) /* ;? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,8))){
  if(EXPRD(x1,1)){
   DSPRD(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Asecond(OBJ x1) /* second */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,8))){
  {OBJ x3=FLD(x1,2);
   if(EXPRD(x1,1)){
    r=x3;
    FREE(FLD(x1,1),1);DSPRDF(x1);
   }else{
    COPY(x3,1);
    r=x3;
    FRPRD(x1,1);}}
 }else{
  HLT("Signal at <unknown> : undefined selection second\'Signal:sighandler->sighandler");}
 return r;}

extern OBJ _ASignal_Afirst(OBJ x1) /* first */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,8))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    FREE(FLD(x1,2),1);DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Signal at <unknown> : undefined selection first\'Signal:sighandler->sighandler");}
 return r;}

extern OBJ _ASignal_AcollectZombies_(OBJ x1) /* collectZombies? */
{OBJ r;
 if(ISPRM(x1)&&(ISTGPRM(x1,7))){
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Await_(OBJ x1) /* wait? */
{OBJ r;
 if(ISPRM(x1)&&(ISTGPRM(x1,6))){
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AkillPGrp(OBJ x1,OBJ x2) /* killPGrp */
{OBJ r;
 PRD(2,5,r);FLD(r,1)=x1;FLD(r,2)=x2;
 return r;}

extern OBJ _ASignal_AkillPGrp_(OBJ x1) /* killPGrp? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,5))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Asignal(OBJ x1) /* signal */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,5)||ISTGPRD(x1,4))){
  {OBJ x3=FLD(x1,2);
   if(EXPRD(x1,1)){
    r=x3;
    DSPRD(x1);
   }else{
    r=x3;
    FRPRD(x1,1);}}
 }else{
  HLT("Signal at <unknown> : undefined selection signal\'Signal:sighandler->signal");}
 return r;}

extern OBJ _ASignal_ApGroup(OBJ x1) /* pGroup */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,5))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Signal at <unknown> : undefined selection pGroup\'Signal:sighandler->process");}
 return r;}

extern OBJ _ASignal_Akill(OBJ x1,OBJ x2) /* kill */
{OBJ r;
 PRD(2,4,r);FLD(r,1)=x1;FLD(r,2)=x2;
 return r;}

extern OBJ _ASignal_Akill_(OBJ x1) /* kill? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,4))){
  if(EXPRD(x1,1)){
   FREE(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Aprocess(OBJ x1) /* process */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,4))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    COPY(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Signal at <unknown> : undefined selection process\'Signal:sighandler->process");}
 return r;}

extern OBJ _ASignal_ArmDir(OBJ x1) /* rmDir */
{OBJ r;
 PRD(1,3,r);FLD(r,1)=x1;
 return r;}

extern OBJ _ASignal_ArmDir_(OBJ x1) /* rmDir? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,3))){
  if(EXPRD(x1,1)){
   FRPRD(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Adirectory(OBJ x1) /* directory */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,3))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    CPPRD(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Signal at <unknown> : undefined selection directory\'Signal:sighandler->denotation");}
 return r;}

extern OBJ _ASignal_Aunlink(OBJ x1) /* unlink */
{OBJ r;
 PRD(1,2,r);FLD(r,1)=x1;
 return r;}

extern OBJ _ASignal_Aunlink_(OBJ x1) /* unlink? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,2))){
  if(EXPRD(x1,1)){
   FRPRD(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Afile(OBJ x1) /* file */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,2))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    CPPRD(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Signal at <unknown> : undefined selection file\'Signal:sighandler->denotation");}
 return r;}

extern OBJ _ASignal_Amessage(OBJ x1) /* message */
{OBJ r;
 PRD(1,1,r);FLD(r,1)=x1;
 return r;}

extern OBJ _ASignal_Amessage_(OBJ x1) /* message? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,1))){
  if(EXPRD(x1,1)){
   FRPRD(FLD(x1,1),1);DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Amessage_O1(OBJ x1) /* message,1 */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,1))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    CPPRD(x2,1);
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Signal at <unknown> : undefined selection message\'Signal:sighandler->denotation");}
 return r;}

extern OBJ _ASignal_S_Aexit(OBJ x1) /* _exit */
{OBJ r;
 PRDF(1,0,r);FLD(r,1)=x1;
 return r;}

extern OBJ _ASignal_S_Aexit_(OBJ x1) /* _exit? */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,0))){
  if(EXPRD(x1,1)){
   DSPRDF(x1);
  }else{
   DCPRD(x1,1);}
  r=__ABUILTIN_5;
 }else{
  FREE(x1,1);
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Astatus(OBJ x1) /* status */
{OBJ r;
 if(ISPRD(x1)&&(ISTGPRD(x1,0))){
  {OBJ x2=FLD(x1,1);
   if(EXPRD(x1,1)){
    r=x2;
    DSPRDF(x1);
   }else{
    r=x2;
    FRPRD(x1,1);}}
 }else{
  HLT("Signal at <unknown> : undefined selection status\'Signal:sighandler->procstat");}
 return r;}

extern OBJ _ASignal_AsigTTOu_(OBJ x1) /* sigTTOu? */
{OBJ r;
 if(ISTGPRM(x1,18)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigTTIn_(OBJ x1) /* sigTTIn? */
{OBJ r;
 if(ISTGPRM(x1,17)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigTStp_(OBJ x1) /* sigTStp? */
{OBJ r;
 if(ISTGPRM(x1,16)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigStop_(OBJ x1) /* sigStop? */
{OBJ r;
 if(ISTGPRM(x1,15)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigCont_(OBJ x1) /* sigCont? */
{OBJ r;
 if(ISTGPRM(x1,14)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigChld_(OBJ x1) /* sigChld? */
{OBJ r;
 if(ISTGPRM(x1,13)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigUsr2_(OBJ x1) /* sigUsr2? */
{OBJ r;
 if(ISTGPRM(x1,12)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigUsr1_(OBJ x1) /* sigUsr1? */
{OBJ r;
 if(ISTGPRM(x1,11)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigTerm_(OBJ x1) /* sigTerm? */
{OBJ r;
 if(ISTGPRM(x1,10)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigSegV_(OBJ x1) /* sigSegV? */
{OBJ r;
 if(ISTGPRM(x1,9)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigQuit_(OBJ x1) /* sigQuit? */
{OBJ r;
 if(ISTGPRM(x1,8)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigPipe_(OBJ x1) /* sigPipe? */
{OBJ r;
 if(ISTGPRM(x1,7)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigKill_(OBJ x1) /* sigKill? */
{OBJ r;
 if(ISTGPRM(x1,6)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigInt_(OBJ x1) /* sigInt? */
{OBJ r;
 if(ISTGPRM(x1,5)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigIll_(OBJ x1) /* sigIll? */
{OBJ r;
 if(ISTGPRM(x1,4)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigHUp_(OBJ x1) /* sigHUp? */
{OBJ r;
 if(ISTGPRM(x1,3)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigFPE_(OBJ x1) /* sigFPE? */
{OBJ r;
 if(ISTGPRM(x1,2)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigAlrm_(OBJ x1) /* sigAlrm? */
{OBJ r;
 if(ISTGPRM(x1,1)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_AsigAbrt_(OBJ x1) /* sigAbrt? */
{OBJ r;
 if(ISTGPRM(x1,0)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Sl(OBJ x1,OBJ x2) /* < */
{OBJ r;
 {OBJ x4;OBJ x3;
  switch(TGPRM(x2)){
   case 11:
    x4=__ANat_18;break;
   case 15:
    x4=__ANat_22;break;
   case 17:
    x4=__ANat_24;break;
   case 18:
    x4=__ANat_25;break;
   case 16:
    x4=__ANat_23;break;
   case 13:
    x4=__ANat_20;break;
   case 14:
    x4=__ANat_21;break;
   case 12:
    x4=__ANat_19;break;
   case 9:
    x4=__ANat_16;break;
   case 10:
    x4=__ANat_17;break;
   case 8:
    x4=__ANat_15;break;
   case 3:
    x4=__ANat_10;break;
   case 5:
    x4=__ANat_12;break;
   case 6:
    x4=__ANat_13;break;
   case 4:
    x4=__ANat_11;break;
   case 1:
    x4=__ANat_8;break;
   case 2:
    x4=__ANat_9;break;
   case 0:
    x4=__ANat_5;break;
   default: 
    x4=__ANat_14;}
  switch(TGPRM(x1)){
   case 11:
    x3=__ANat_18;break;
   case 15:
    x3=__ANat_22;break;
   case 17:
    x3=__ANat_24;break;
   case 18:
    x3=__ANat_25;break;
   case 16:
    x3=__ANat_23;break;
   case 13:
    x3=__ANat_20;break;
   case 14:
    x3=__ANat_21;break;
   case 12:
    x3=__ANat_19;break;
   case 9:
    x3=__ANat_16;break;
   case 10:
    x3=__ANat_17;break;
   case 8:
    x3=__ANat_15;break;
   case 3:
    x3=__ANat_10;break;
   case 5:
    x3=__ANat_12;break;
   case 6:
    x3=__ANat_13;break;
   case 4:
    x3=__ANat_11;break;
   case 1:
    x3=__ANat_8;break;
   case 2:
    x3=__ANat_9;break;
   case 0:
    x3=__ANat_5;break;
   default: 
    x3=__ANat_14;}
  ANat_80(x3,x4,r);}
 return r;}

extern OBJ _ASignal_Se(OBJ x1,OBJ x2) /* = */
{OBJ r;
 {OBJ x4;OBJ x3;
  switch(TGPRM(x2)){
   case 11:
    x4=__ANat_18;break;
   case 15:
    x4=__ANat_22;break;
   case 17:
    x4=__ANat_24;break;
   case 18:
    x4=__ANat_25;break;
   case 16:
    x4=__ANat_23;break;
   case 13:
    x4=__ANat_20;break;
   case 14:
    x4=__ANat_21;break;
   case 12:
    x4=__ANat_19;break;
   case 9:
    x4=__ANat_16;break;
   case 10:
    x4=__ANat_17;break;
   case 8:
    x4=__ANat_15;break;
   case 3:
    x4=__ANat_10;break;
   case 5:
    x4=__ANat_12;break;
   case 6:
    x4=__ANat_13;break;
   case 4:
    x4=__ANat_11;break;
   case 1:
    x4=__ANat_8;break;
   case 2:
    x4=__ANat_9;break;
   case 0:
    x4=__ANat_5;break;
   default: 
    x4=__ANat_14;}
  switch(TGPRM(x1)){
   case 11:
    x3=__ANat_18;break;
   case 15:
    x3=__ANat_22;break;
   case 17:
    x3=__ANat_24;break;
   case 18:
    x3=__ANat_25;break;
   case 16:
    x3=__ANat_23;break;
   case 13:
    x3=__ANat_20;break;
   case 14:
    x3=__ANat_21;break;
   case 12:
    x3=__ANat_19;break;
   case 9:
    x3=__ANat_16;break;
   case 10:
    x3=__ANat_17;break;
   case 8:
    x3=__ANat_15;break;
   case 3:
    x3=__ANat_10;break;
   case 5:
    x3=__ANat_12;break;
   case 6:
    x3=__ANat_13;break;
   case 4:
    x3=__ANat_11;break;
   case 1:
    x3=__ANat_8;break;
   case 2:
    x3=__ANat_9;break;
   case 0:
    x3=__ANat_5;break;
   default: 
    x3=__ANat_14;}
  ANat_76(x3,x4,r);}
 return r;}

extern OBJ _ASignal_SOC_(OBJ x1) /* {}? */
{OBJ r;
 COPY(__ASignal_SOC,1);
 ASignal_Se_O1(x1,__ASignal_SOC,r);
 return r;}

extern OBJ _ASignal_Anone_(OBJ x1) /* none? */
{OBJ r;
 COPY(x1,1);
 {OBJ x2;OBJ x20;
  ASignal_Ahc_Asigismember(x1,__ASignal_AsigAbrt,x2);
  if(ISTGPRM(x2,1)){
   FREE(x1,1);
   x20=__ABUILTIN_5;
  }else{
   COPY(x1,1);
   {OBJ x3;
    ASignal_Ahc_Asigismember(x1,__ASignal_AsigAlrm,x3);
    if(ISTGPRM(x3,1)){
     FREE(x1,1);
     x20=__ABUILTIN_5;
    }else{
     COPY(x1,1);
     {OBJ x4;
      ASignal_Ahc_Asigismember(x1,__ASignal_AsigFPE,x4);
      if(ISTGPRM(x4,1)){
       FREE(x1,1);
       x20=__ABUILTIN_5;
      }else{
       COPY(x1,1);
       {OBJ x5;
	ASignal_Ahc_Asigismember(x1,__ASignal_AsigHUp,x5);
	if(ISTGPRM(x5,1)){
	 FREE(x1,1);
	 x20=__ABUILTIN_5;
	}else{
	 COPY(x1,1);
	 {OBJ x6;
	  ASignal_Ahc_Asigismember(x1,__ASignal_AsigIll,x6);
	  if(ISTGPRM(x6,1)){
	   FREE(x1,1);
	   x20=__ABUILTIN_5;
	  }else{
	   COPY(x1,1);
	   {OBJ x7;
	    ASignal_Ahc_Asigismember(x1,__ASignal_AsigInt,x7);
	    if(ISTGPRM(x7,1)){
	     FREE(x1,1);
	     x20=__ABUILTIN_5;
	    }else{
	     COPY(x1,1);
	     {OBJ x8;
	      ASignal_Ahc_Asigismember(x1,__ASignal_AsigKill,x8);
	      if(ISTGPRM(x8,1)){
	       FREE(x1,1);
	       x20=__ABUILTIN_5;
	      }else{
	       COPY(x1,1);
	       {OBJ x9;
		ASignal_Ahc_Asigismember(x1,__ASignal_AsigPipe,x9);
		if(ISTGPRM(x9,1)){
		 FREE(x1,1);
		 x20=__ABUILTIN_5;
		}else{
		 COPY(x1,1);
		 {OBJ x10;
		  ASignal_Ahc_Asigismember(x1,__ASignal_AsigQuit,x10);
		  if(ISTGPRM(x10,1)){
		   FREE(x1,1);
		   x20=__ABUILTIN_5;
		  }else{
		   COPY(x1,1);
		   {OBJ x11;
		    ASignal_Ahc_Asigismember(x1,__ASignal_AsigSegV,x11);
		    if(ISTGPRM(x11,1)){
		     FREE(x1,1);
		     x20=__ABUILTIN_5;
		    }else{
		     COPY(x1,1);
		     {OBJ x12;
		      ASignal_Ahc_Asigismember(x1,__ASignal_AsigTerm,x12);
		      if(ISTGPRM(x12,1)){
		       FREE(x1,1);
		       x20=__ABUILTIN_5;
		      }else{
		       COPY(x1,1);
		       {OBJ x13;
			ASignal_Ahc_Asigismember(x1,__ASignal_AsigUsr1,x13);
			if(ISTGPRM(x13,1)){
			 FREE(x1,1);
			 x20=__ABUILTIN_5;
			}else{
			 COPY(x1,1);
			 {OBJ x14;
			  ASignal_Ahc_Asigismember(x1,__ASignal_AsigUsr2,x14);
			  if(ISTGPRM(x14,1)){
			   FREE(x1,1);
			   x20=__ABUILTIN_5;
			  }else{
			   COPY(x1,1);
			   {OBJ x15;
			    ASignal_Ahc_Asigismember(x1,__ASignal_AsigChld,x15);
			    if(ISTGPRM(x15,1)){
			     FREE(x1,1);
			     x20=__ABUILTIN_5;
			    }else{
			     COPY(x1,1);
			     {OBJ x16;
			      ASignal_Ahc_Asigismember(x1,__ASignal_AsigCont,x16);
			      if(ISTGPRM(x16,1)){
			       FREE(x1,1);
			       x20=__ABUILTIN_5;
			      }else{
			       COPY(x1,1);
			       {OBJ x17;
				ASignal_Ahc_Asigismember(x1,__ASignal_AsigStop,x17);
				if(ISTGPRM(x17,1)){
				 FREE(x1,1);
				 x20=__ABUILTIN_5;
				}else{
				 COPY(x1,1);
				 {OBJ x18;
				  ASignal_Ahc_Asigismember(x1,__ASignal_AsigTStp,x18);
				  if(ISTGPRM(x18,1)){
				   FREE(x1,1);
				   x20=__ABUILTIN_5;
				  }else{
				   COPY(x1,1);
				   {OBJ x19;
				    ASignal_Ahc_Asigismember(x1,__ASignal_AsigTTIn,x19);
				    if(ISTGPRM(x19,1)){
				     FREE(x1,1);
				     x20=__ABUILTIN_5;
				    }else{
				     ASignal_Ahc_Asigismember(x1,__ASignal_AsigTTOu,x20);}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
  if(ISTGPRM(x20,1)){
   r=__ABUILTIN_3;
  }else{
   r=__ABUILTIN_5;}}
 return r;}

extern OBJ _ASignal_S5(OBJ x1) /* % */
{OBJ r;
 COPY(__ASignal_SOC,1);
 ASignal_Ahc_Asigaddset(__ASignal_SOC,x1,r);
 return r;}

extern OBJ _ASignal_Sp(OBJ x1,OBJ x2) /* + */
{OBJ r;
 ASignal_Ahc_Asigaddset(x1,x2,r);
 return r;}

extern OBJ _ASignal_Sm(OBJ x1,OBJ x2) /* - */
{OBJ r;
 ASignal_Ahc_Asigdelset(x1,x2,r);
 return r;}

extern OBJ _ASignal_Sp_O1(OBJ x1,OBJ x2) /* +,1 */
{OBJ r;
 COPY(__ASignal_SOC,1);
 {OBJ x3;
  ASignal_Ahc_Asigaddset(__ASignal_SOC,x1,x3);
  ASignal_Ahc_Asigaddset(x3,x2,r);}
 return r;}

extern OBJ _ASignal_Ain(OBJ x1,OBJ x2) /* in */
{OBJ r;
 ASignal_Ahc_Asigismember(x2,x1,r);
 return r;}

extern OBJ _ASignal_Akill_O1(OBJ x1) /* kill,1 */
{OBJ r;
 CPCLS(__ASignal_Ahc_Akill_Ap,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ASignal_Ahc_Akill_Ap,2))(__ASignal_Ahc_Akill_Ap,x1,__AOption_5);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _ASignal_Akill_O2(OBJ x1,OBJ x2) /* kill,2 */
{OBJ r;
 CPCLS(__ASignal_Ahc_Akill_Ap,1);
 {OBJ x3;OBJ x4;
  PRD1F(1,x3);FLD1(x3,1)=x2;
  x4=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ASignal_Ahc_Akill_Ap,2))(__ASignal_Ahc_Akill_Ap,x1,x3);
  PRD(2,0,r);FLD(r,1)=x4;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _ASignal_AkillPGrp_O1(OBJ x1) /* killPGrp,1 */
{OBJ r;
 CPCLS(__ASignal_Ahc_Akill_Agrp,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ASignal_Ahc_Akill_Agrp,2))(__ASignal_Ahc_Akill_Agrp,x1,__AOption_5);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _ASignal_AkillPGrp_O2(OBJ x1,OBJ x2) /* killPGrp,2 */
{OBJ r;
 CPCLS(__ASignal_Ahc_Akill_Agrp,1);
 {OBJ x3;OBJ x4;
  PRD1F(1,x3);FLD1(x3,1)=x2;
  x4=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ASignal_Ahc_Akill_Agrp,2))(__ASignal_Ahc_Akill_Agrp,x1,x3);
  PRD(2,0,r);FLD(r,1)=x4;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _ASignal_Aalarm(OBJ x1) /* alarm */
{OBJ r;
 CPCLS(__ASignal_Ahc_Aalarm,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__ASignal_Ahc_Aalarm,1))(__ASignal_Ahc_Aalarm,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _ASignal_Aexec(OBJ x1) /* exec */
{OBJ r;
 CPCLS(__ASignal_Ahc_Aexec_Ash,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__ASignal_Ahc_Aexec_Ash,1))(__ASignal_Ahc_Aexec_Ash,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _ASignal_Acaught_(OBJ x1) /* caught? */
{OBJ r;
 CPCLS(__ASignal_Ahc_Acaught_,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__ASignal_Ahc_Acaught_,1))(__ASignal_Ahc_Acaught_,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _ASignal_AsigAction(OBJ x1) /* sigAction */
{OBJ r;
 CPCLS(__ASignal_Ahc_Asigaction,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ASignal_Ahc_Asigaction,2))(__ASignal_Ahc_Asigaction,x1,__AOption_5);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _ASignal_AsigAction_O1(OBJ x1,OBJ x2) /* sigAction,1 */
{OBJ r;
 CPCLS(__ASignal_Ahc_Asigaction,1);
 {OBJ x3;OBJ x4;
  PRD1(1,x3);FLD1(x3,1)=x2;
  x4=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ASignal_Ahc_Asigaction,2))(__ASignal_Ahc_Asigaction,x1,x3);
  PRD(2,0,r);FLD(r,1)=x4;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _ASignal_AsigBlock(OBJ x1) /* sigBlock */
{OBJ r;
 CPCLS(__ASignal_Ahc_Asigprocmask,1);
 {OBJ x2;OBJ x3;
  PRD1(1,x2);FLD1(x2,1)=x1;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ASignal_Ahc_Asigprocmask,2))(__ASignal_Ahc_Asigprocmask,__ASignal_Ama_Ablock,x2);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _ASignal_AsigUnblock(OBJ x1) /* sigUnblock */
{OBJ r;
 CPCLS(__ASignal_Ahc_Asigprocmask,1);
 {OBJ x2;OBJ x3;
  PRD1(1,x2);FLD1(x2,1)=x1;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ASignal_Ahc_Asigprocmask,2))(__ASignal_Ahc_Asigprocmask,__ASignal_Ama_Aunblock,x2);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _ASignal_AsigMask_O1(OBJ x1) /* sigMask,1 */
{OBJ r;
 CPCLS(__ASignal_Ahc_Asigprocmask,1);
 {OBJ x2;OBJ x3;
  PRD1(1,x2);FLD1(x2,1)=x1;
  x3=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ASignal_Ahc_Asigprocmask,2))(__ASignal_Ahc_Asigprocmask,__ASignal_Ama_Aset,x2);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _ASignal_AsigSuspend(OBJ x1) /* sigSuspend */
{OBJ r;
 CPCLS(__ASignal_Ahc_Asigsuspend,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__ASignal_Ahc_Asigsuspend,1))(__ASignal_Ahc_Asigsuspend,x1);
  PRD(2,0,r);FLD(r,1)=x2;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _ASignal_Ama_Aset_(OBJ x1) /* ma_set? */
{OBJ r;
 if(ISTGPRM(x1,2)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Ama_Aunblock_(OBJ x1) /* ma_unblock? */
{OBJ r;
 if(ISTGPRM(x1,1)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Ama_Ablock_(OBJ x1) /* ma_block? */
{OBJ r;
 if(ISTGPRM(x1,0)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Aord(OBJ x1) /* ord */
{OBJ r;
 switch(TGPRM(x1)){
  case 11:
   r=__ANat_18;break;
  case 15:
   r=__ANat_22;break;
  case 17:
   r=__ANat_24;break;
  case 18:
   r=__ANat_25;break;
  case 16:
   r=__ANat_23;break;
  case 13:
   r=__ANat_20;break;
  case 14:
   r=__ANat_21;break;
  case 12:
   r=__ANat_19;break;
  case 9:
   r=__ANat_16;break;
  case 10:
   r=__ANat_17;break;
  case 8:
   r=__ANat_15;break;
  case 3:
   r=__ANat_10;break;
  case 5:
   r=__ANat_12;break;
  case 6:
   r=__ANat_13;break;
  case 4:
   r=__ANat_11;break;
  case 1:
   r=__ANat_8;break;
  case 2:
   r=__ANat_9;break;
  case 0:
   r=__ANat_5;break;
  default: 
   r=__ANat_14;}
 return r;}

extern OBJ _ASignal_Afoo1(OBJ x1) /* foo1 */
{OBJ r;
 if(ISTGPRM(x1,2)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Afoo2(OBJ x1) /* foo2 */
{OBJ r;
 if(ISTGPRM(x1,0)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}

extern OBJ _ASignal_Afoo3(OBJ x1) /* foo3 */
{OBJ r;
 if(ISTGPRM(x1,1)){
  r=__ABUILTIN_5;
 }else{
  r=__ABUILTIN_3;}
 return r;}



























static void ___ASignal_103()
{
 /* __ASignal_AsigMask */
 CPCLS(__ASignal_Ahc_Asigprocmask,1);
 {OBJ x1;
  x1=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__ASignal_Ahc_Asigprocmask,2))(__ASignal_Ahc_Asigprocmask,__ASignal_Ama_Aset,__AOption_5);
  PRD(2,0,__ASignal_AsigMask);FLD(__ASignal_AsigMask,1)=x1;FLD(__ASignal_AsigMask,2)=__ASeq_6;}}





init_ASignal()
{
 static int visited=0; if(visited) return; visited=1;
 init_AVoid();
 init_ANat();
 init_ACom();
 init_AProcessCtrl();
 init_AReal();
 init_AQuadruple();
 init_ASeq();
 init_AFileSystem();
 init_AUserAndGroup();
 init_ADenotation();
 init_AOption();
 init_ASet();
 init_AChar();
 init_AString();
 init_ATime();
 init_ASeqMap();
 init_AArray();
 CLS(2,_ASignal_223,__ASignal_223);
 CLS(2,_ASignal_95,__ASignal_95);
 CLS(1,_ASignal_31,__ASignal_31);
 CLS(1,_ASignal_63,__ASignal_63);
 CLS(1,_ASignal_94,__ASignal_94);
 CLS(1,_ASignal_30,__ASignal_30);
 CLS(2,_ASignal_93,__ASignal_93);
 CLS(1,_ASignal_29,__ASignal_29);
 CLS(1,_ASignal_61,__ASignal_61);
 CLS(1,_ASignal_220,__ASignal_220);
 CLS(2,_ASignal_92,__ASignal_92);
 CLS(1,_ASignal_28,__ASignal_28);
 CLS(1,_ASignal_59,__ASignal_59);
 CLS(2,_ASignal_91,__ASignal_91);
 CLS(2,_ASignal_90,__ASignal_90);
 CLS(1,_ASignal_26,__ASignal_26);
 CLS(1,_ASignal_89,__ASignal_89);
 CLS(2,_ASignal_25,__ASignal_25);
 CLS(1,_ASignal_57,__ASignal_57);
 CLS(1,_ASignal_24,__ASignal_24);
 CLS(1,_ASignal_87,__ASignal_87);
 CLS(1,_ASignal_23,__ASignal_23);
 CLS(1,_ASignal_55,__ASignal_55);
 CLS(1,_ASignal_86,__ASignal_86);
 CLS(1,_ASignal_22,__ASignal_22);
 CLS(2,_ASignal_21,__ASignal_21);
 CLS(1,_ASignal_53,__ASignal_53);
 CLS(2,_ASignal_84,__ASignal_84);
 CLS(1,_ASignal_20,__ASignal_20);
 CLS(1,_ASignal_115,__ASignal_115);
 CLS(2,_ASignal_83,__ASignal_83);
 CLS(1,_ASignal_51,__ASignal_51);
 CLS(1,_ASignal_18,__ASignal_18);
 CLS(1,_ASignal_113,__ASignal_113);
 CLS(2,_ASignal_81,__ASignal_81);
 CLS(1,_ASignal_49,__ASignal_49);
 CLS(2,_ASignal_80,__ASignal_80);
 CLS(1,_ASignal_16,__ASignal_16);
 CLS(1,_ASignal_111,__ASignal_111);
 CLS(1,_ASignal_79,__ASignal_79);
 CLS(1,_ASignal_15,__ASignal_15);
 CLS(1,_ASignal_47,__ASignal_47);
 CLS(1,_ASignal_14,__ASignal_14);
 CLS(1,_ASignal_237,__ASignal_237);
 CLS(1,_ASignal_77,__ASignal_77);
 CLS(2,_ASignal_13,__ASignal_13);
 CLS(1,_ASignal_45,__ASignal_45);
 CLS(1,_ASignal_236,__ASignal_236);
 CLS(1,_ASignal_108,__ASignal_108);
 CLS(1,_ASignal_235,__ASignal_235);
 CLS(1,_ASignal_75,__ASignal_75);
 CLS(1,_ASignal_11,__ASignal_11);
 CLS(1,_ASignal_43,__ASignal_43);
 CLS(2,_ASignal_234,__ASignal_234);
 CLS(1,_ASignal_106,__ASignal_106);
 CLS(1,_ASignal_233,__ASignal_233);
 CLS(1,_ASignal_105,__ASignal_105);
 CLS(1,_ASignal_9,__ASignal_9);
 CLS(1,_ASignal_73,__ASignal_73);
 CLS(3,_ASignal_232,__ASignal_232);
 CLS(1,_ASignal_104,__ASignal_104);
 CLS(1,_ASignal_40,__ASignal_40);
 CLS(3,_ASignal_231,__ASignal_231);
 CLS(1,_ASignal_71,__ASignal_71);
 CLS(1,_ASignal_7,__ASignal_7);
 CLS(1,_ASignal_39,__ASignal_39);
 CLS(2,_ASignal_230,__ASignal_230);
 CLS(2,_ASignal_102,__ASignal_102);
 CLS(1,_ASignal_38,__ASignal_38);
 CLS(2,_ASignal_229,__ASignal_229);
 CLS(1,_ASignal_69,__ASignal_69);
 CLS(1,_ASignal_101,__ASignal_101);
 CLS(1,_ASignal_5,__ASignal_5);
 CLS(1,_ASignal_37,__ASignal_37);
 CLS(2,_ASignal_228,__ASignal_228);
 CLS(1,_ASignal_100,__ASignal_100);
 CLS(1,_ASignal_4,__ASignal_4);
 CLS(1,_ASignal_36,__ASignal_36);
 CLS(3,_ASignal_227,__ASignal_227);
 CLS(1,_ASignal_67,__ASignal_67);
 CLS(1,_ASignal_99,__ASignal_99);
 CLS(1,_ASignal_3,__ASignal_3);
 CLS(1,_ASignal_35,__ASignal_35);
 CLS(3,_ASignal_226,__ASignal_226);
 CLS(1,_ASignal_98,__ASignal_98);
 CLS(2,_ASignal_2,__ASignal_2);
 CLS(1,_ASignal_34,__ASignal_34);
 CLS(2,_ASignal_225,__ASignal_225);
 CLS(2,_ASignal_97,__ASignal_97);
 CLS(1,_ASignal_33,__ASignal_33);
 CLS(1,_ASignal_65,__ASignal_65);
 CLS(2,_ASignal_224,__ASignal_224);
 CLS(1,_ASignal_96,__ASignal_96);
 CLS(1,_ASignal_32,__ASignal_32);
 init_const_ASignal();
 /* __ASignal_Acatch */
 PRM(2,__ASignal_Acatch);
 /* __ASignal_Aignore */
 PRM(1,__ASignal_Aignore);
 /* __ASignal_Adefault */
 PRM(0,__ASignal_Adefault);
 /* __ASignal_AcollectZombies */
 PRM(7,__ASignal_AcollectZombies);
 /* __ASignal_Await */
 PRM(6,__ASignal_Await);
 /* __ASignal_AsigTTOu */
 PRM(18,__ASignal_AsigTTOu);
 /* __ASignal_AsigTTIn */
 PRM(17,__ASignal_AsigTTIn);
 /* __ASignal_AsigTStp */
 PRM(16,__ASignal_AsigTStp);
 /* __ASignal_AsigStop */
 PRM(15,__ASignal_AsigStop);
 /* __ASignal_AsigCont */
 PRM(14,__ASignal_AsigCont);
 /* __ASignal_AsigChld */
 PRM(13,__ASignal_AsigChld);
 /* __ASignal_AsigUsr2 */
 PRM(12,__ASignal_AsigUsr2);
 /* __ASignal_AsigUsr1 */
 PRM(11,__ASignal_AsigUsr1);
 /* __ASignal_AsigTerm */
 PRM(10,__ASignal_AsigTerm);
 /* __ASignal_AsigSegV */
 PRM(9,__ASignal_AsigSegV);
 /* __ASignal_AsigQuit */
 PRM(8,__ASignal_AsigQuit);
 /* __ASignal_AsigPipe */
 PRM(7,__ASignal_AsigPipe);
 /* __ASignal_AsigKill */
 PRM(6,__ASignal_AsigKill);
 /* __ASignal_AsigInt */
 PRM(5,__ASignal_AsigInt);
 /* __ASignal_AsigIll */
 PRM(4,__ASignal_AsigIll);
 /* __ASignal_AsigHUp */
 PRM(3,__ASignal_AsigHUp);
 /* __ASignal_AsigFPE */
 PRM(2,__ASignal_AsigFPE);
 /* __ASignal_AsigAlrm */
 PRM(1,__ASignal_AsigAlrm);
 /* __ASignal_AsigAbrt */
 PRM(0,__ASignal_AsigAbrt);
 /* __ASignal_SOC */
 COPY(__ASignal_Ahc_Asigemptyset,1);
 __ASignal_SOC=__ASignal_Ahc_Asigemptyset;
 /* __ASignal_AallSigs */
 COPY(__ASignal_Ahc_Asigfillset,1);
 __ASignal_AallSigs=__ASignal_Ahc_Asigfillset;
 /* __ASignal_Ama_Aset */
 PRM(2,__ASignal_Ama_Aset);
 ___ASignal_103();
 /* __ASignal_AsigPending */
 CPCLS(__ASignal_Ahc_Asigpending,1);
 PRD(2,0,__ASignal_AsigPending);FLD(__ASignal_AsigPending,1)=__ASignal_Ahc_Asigpending;FLD(__ASignal_AsigPending,2)=__ASeq_6;
 /* __ASignal_Ama_Aunblock */
 PRM(1,__ASignal_Ama_Aunblock);
 /* __ASignal_Ama_Ablock */
 PRM(0,__ASignal_Ama_Ablock);}

